<?php
namespace Teknisa\ACL\Services;

use Teknisa\Model\Util\NovoCodigo;

class OperadorPrincipalService {
    
    protected $operadorPrincipalFactory;
    
    public function __construct($operadorPrincipalFactory) {
        $this->operadorPrincipalFactory = $operadorPrincipalFactory;
    }
    
    public function getMaxOperCode($params){
        
        return $this->operadorPrincipalFactory->getMaxOperCode($params);
    
    }
    
    public function criaParcnegocio($params) {
        
        $this->operadorPrincipalFactory->criaParcnegocio($params);
    
    }
    
    public function criaParceria($params) {
        
       $this->operadorPrincipalFactory->criaParceria($params);
    
    }
    
    public function criaRelacionaParc($params) {
    
        $this->operadorPrincipalFactory->criaRelacionaParc($params);
        
    }
    
    public function criaInteclie($params) {
        
        $this->operadorPrincipalFactory->criaInteclie($params);
    
    }
    
    public function criaOrganOper($params){
        
        $this->operadorPrincipalFactory->criaOrganOper($params);
   
    }
    
    public function saveFilial($params){
        
        $this->operadorPrincipalFactory->saveFilial($params);
    
    }
    
    public function getOrganizacao($params) {
        
        return $this->operadorPrincipalFactory->getOrganizacao($params);
        
    }
    
    public function updateParcnegocio($params){
        
        $this->operadorPrincipalFactory->updateParcnegocio($params);
    
    }
    
    public function inativaTodosRelacParc($params){
        
        $this->operadorPrincipalFactory->inativaTodosRelacParc($params);
        
    }
    
    public function inativaTodosInteClie($params){
        
        $this->operadorPrincipalFactory->inativaTodosInteClie($params);
        
    }
    
    public function setParceriaAtivaInativa($params){
        
        $this->operadorPrincipalFactory->setParceriaAtivaInativa($params);
        
    }
    
    public function existeRelacParc($params){
        
        return $this->operadorPrincipalFactory->existeRelacParc($params);
    
    }
    
    public function ativaRelacParc($params){
        
        $this->operadorPrincipalFactory->ativaRelacParc($params);
        
    }
    
    public function ativaInteClie($params){
        
        $this->operadorPrincipalFactory->ativaInteClie($params);
        
    }
    
    public function existeInteClie($params){
        
        return $this->operadorPrincipalFactory->existeInteClie($params);
        
    }
    
    public function existeParceriaInterlocutor($params){
        
        return $this->operadorPrincipalFactory->existeParceriaInterlocutor($params);
        
    }
    
}